

<!-- END MAIN -->
<!-- //////////////////////////////////////////////////////////////////////////// -->
<!-- START FOOTER -->
<?php require_once UTILS_PATH . 'footer.php';?>
<!-- END FOOTER -->
<!-- ================================================
    Scripts
    ================================================ -->
<!-- jQuery Library -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jquery-3.2.1.min.js"></script>
<!--materialize js-->
<script type="text/javascript" src="<?=JS_ADMIN;?>materialize.min.js"></script>
<!--scrollbar-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>perfect-scrollbar/perfect-scrollbar.min.js"></script>
<!-- chartjs -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>chartjs/chart.min.js"></script>
<!-- sparkline -->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>sparkline/jquery.sparkline.min.js"></script>
<!-- google map api -->
<script type="text/javascript" src="<?=JS_ADMIN;?>maps.js"></script>
<!--jvectormap-->
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-1.2.2.min.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/jquery-jvectormap-world-mill-en.js"></script>
<script type="text/javascript" src="<?=VENDORS_ADMIN;?>jvectormap/vectormap-script.js"></script>
<!--google map-->

<!--plugins.js - Some Specific JS codes for Plugin Settings-->
<script type="text/javascript" src="<?=JS_ADMIN;?>plugins.js"></script>
<!--card-advanced.js - Page specific JS-->
<script type="text/javascript" src="<?=JS_ADMIN;?>scripts/dashboard-analytics.js"></script>
<!--custom-script.js - Add your own theme custom JS
    <script type="text/javascript" src="<?=JS_ADMIN;?>custom-script.js"></script>-->
<script src="<?=JS_ADMIN;?>vue.js"></script>
<script src="<?=JS_ADMIN;?>Chart.min.js"></script>
<script src="<?=JS_ADMIN;?>gauge.min.js"></script>
<script src="<?=JS_ADMIN;?>raphael.js"></script>
<script src="<?=JS_ADMIN;?>justgage.js"></script>
<script>
	var a = document.getElementById('idioma');
              if(a.value == "es"){
                <?php if (defined("BANDERA_ES")) {?>
					document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-<?php echo BANDERA_ES; ?>"></span>&nbsp;';
				<?php } else {?>
					document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-mx"></span>&nbsp;';
				<?php }?>

              }else{

                document.getElementById('banderaPais').innerHTML = '<span class="flag-icon flag-icon-um"></span>&nbsp;';

              }

	var app = new Vue({
		el: '#main',
		data: {
		},
		methods: {
			nivelMod: function () {
				return parseFloat(this.nivel).toFixed(2);
			},
			parseMembers: function (json) {
				var arr = [];
				for (var key in json) {
					if (json.hasOwnProperty(key)) {
						var val = json[key];
						arr.push(val);
					}
				}
				arr.pop();
				return arr;
			},
			recarga: function () {
				if (puedoRecargar) {
					$('#barrita').show();
					$('.datepicker').datepicker({
						format: "yyyy-mm-dd",
						selectMonths: true,
						selectYears: true,
						showClearBtn: true,
						i18n: {
							months: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre',
								'Noviembre', 'Diciembre'
							],
							monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
							weekdays: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
							weekdaysShort: ['Dom', 'Lun', 'Mar', 'Mié', 'Jue', 'Vie', 'Sáb'],
							today: 'Hoy',
							clear: 'Borrar',
							cancel: 'Cerrar',
							done: 'Confirmar',
							weekdaysAbbrev: ["D", "L", "M", "M", "J", "V", "S"],
							firstDay: 1
						}
					});
					puedoRecargar = false;
					if ($("#fechaInicio").val() == undefined || $("#fechaInicio").val() == "") {
						var d = new Date();
						document.getElementById("fechaInicio").value = d.getFullYear()+"-"+((d.getMonth()+1)>=10?(d.getMonth()+1):("0"+(d.getMonth()+1)))+"-"+d.getDate();
                        document.getElementById("fechaFin").value = d.getFullYear()+"-"+((d.getMonth()+1)>=10?(d.getMonth()+1):("0"+(d.getMonth()+1)))+"-"+d.getDate();
					}
					cargaReporte();
					puedoRecargar=true;
				}
			},
			cargaCampana: function() {
				if (!flagCampana) {
					flagCampana = true;
					$.ajax({
						url: '/<?=RUTA_MAESTRA;?>/index.php/campanas/getCampaignsSelect',
						dataType: "text",
						type: 'GET',
						async: false,
						success: function (res) {
							var resp = JSON.parse(res);
							if(resp.Estado=='ok')
							{
								$("#campanas").html("");
								$("#campanas").append("<option value='-1' selected='selected'>Todas las campanas</option>");
								for (var i = 0; i < resp.Campanas.length; i++) {
									$("#campanas").append("<option value='" + resp.Campanas[i].campaign_id + "' ><span>" + resp.Campanas[i].campaign_name +
										"</span></option>");
								}
								flagCampana = false;
							}
							else
							{
								M.toast({
									html:resp.Descripcion
								});
							}
						},
						error: function (error) {
							console.log(error);
						}
					});
				}
			},
			cargaReporte:function() {
				if (!flagReporte) {
					flagReporte = true;
					var parametros = {
						campana: "-1"
					};
					$.ajax({
						url: '/<?=RUTA_MAESTRA;?>/index.php/reporteListaFecha/listCampaignStats',
						dataType: "text",
						type: 'GET',
						data: parametros,
						success: function (res) {
							var resp = JSON.parse(res);
							if (resp.Estado == 'ok') {
								app.resumenIdLista=resp.resumenIdLista;
								app.resumenBanderaSistema=resp.resumenBanderaSistema;
								app.estadosPersonalizados=resp.estadosPersonalizados;
								app.detalle=resp.detalle;
								app.datalle=resp.datalle;
								flagReporte = false;
							} else {
								M.toast({
									html: resp.Descripcion
								});
							}
						},
						error: function (error) {
							console.log(error);
						}
					});
				}
			},
			getActive:function(Nombre)
			{
				var Arr=this.resumenIdLista.Registros.find(function(val)
				{
					if(val.lista.trim()==Nombre.trim())
					{
						return true;
					}
					return false;
				});

				return Arr.activo;
			}
		},
		created: function () {
			$('.datepicker').datepicker({
				format: "yyyy-mm-dd",
				selectMonths: true,
				selectYears: true,
				showClearBtn: true,
				i18n: {
					months: ['Enero', 'Febrero', 'Marzo', 'Abril', 'Mayo', 'Junio', 'Julio', 'Agosto', 'Septiembre', 'Octubre',
						'Noviembre', 'Diciembre'
					],
					monthsShort: ['Ene', 'Feb', 'Mar', 'Abr', 'May', 'Jun', 'Jul', 'Ago', 'Sep', 'Oct', 'Nov', 'Dic'],
					weekdays: ['Domingo', 'Lunes', 'Martes', 'Miércoles', 'Jueves', 'Viernes', 'Sábado'],
					weekdaysShort: ['Dom', 'Lun', 'Mar', 'Mié', 'Jue', 'Vie', 'Sáb'],
					today: 'Hoy',
					clear: 'Borrar',
					cancel: 'Cerrar',
					done: 'Confirmar',
					weekdaysAbbrev: ["D", "L", "M", "M", "J", "V", "S"],
					firstDay: 1
				}
			});
			M.toast({
				html: i18n.gettext("Cargando datos, por favor espere")+"."
			});
			this.cargaCampana();
			this.cargaReporte();
			$('#test-swipe-2').hide();
			$('#test-swipe-3').hide();
			$('#test-swipe-4').hide();
			$('#test-swipe-5').hide();
			$('#test-swipe-6').hide();
		},
		computed: {
			classObject: function () {
				if (this.ls == 'white') {
					return 'black-text';
				} else {
					return 'white-text';
				}
			}
		}
	});
	setInterval(() => {
		app.cargaCampana();
	}, 60000);
</script>

</body>

<!-- Mirrored from pixinvent.com/materialize-material-design-admin-template/html/horizontal-menu/ by HTTrack Website Copier/3.x [XR&CO'2014], Tue, 07 Aug 2018 16:55:15 GMT -->

</html>
